Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class Microcontroller.OutputPin

    java.lang.Object
      avrora.sim.mcu.Microcontroller.OutputPin

All Implemented Interfaces:
  Microcontroller.Pin.Output

Direct Known Subclasses:
  CC1000Radio.SerialConfigurationInterface.PALEOutput, CC1000Radio.SerialConfigurationInterface.PCLKOutput, CC1000Radio.SerialConfigurationInterface.PDATAOutput, ExternalFlash.PA3Output, ExternalFlash.PD3Output, ExternalFlash.PD5Output, LED

Enclosing class:
  Microcontroller

public abstract static class Microcontroller.OutputPin
extends java.lang.Object
implements Microcontroller.Pin.Output

Constructor Summary
`Microcontroller.OutputPin()`

Method Summary
`void` | `disableOutput()` The `disableOutput()` method is called by the simulator when the program changes the direction of the pin.
`void` | `enableOutput()` The `enableOutput()` method is called by the simulator when the program changes the direction of the pin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface avrora.sim.mcu.Microcontroller.Pin.Output
`write`

Constructor Detail

### Microcontroller.OutputPin

    public Microcontroller.OutputPin()

Method Detail

### enableOutput

    public void enableOutput()

  Description copied from interface: `Microcontroller.Pin.Output`
  The `enableOutput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

  Specified by:
    `enableOutput` in interface `Microcontroller.Pin.Output`

### disableOutput

    public void disableOutput()

  Description copied from interface: `Microcontroller.Pin.Output`
  The `disableOutput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

  Specified by:
    `disableOutput` in interface `Microcontroller.Pin.Output`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD